Bug 12287 - Update: editors/lpe
Summary: Update: editors/lpe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1999-06-19 01:00 UTC by cpiazza
Modified: 2008-04-19 12:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cpiazza 1999-06-19 01:00:01 UTC
Update lpe to 1.2.1.

Fix: 

-Chris--BlvC4CYA6LFvUQyAcAzRGlYbmOUVmbv2EiGX4gz4DsbhYim9
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN -x CVS lpe.orig/Makefile lpe/Makefile
--- lpe.orig/Makefile	Fri Jun 18 16:38:30 1999
+++ lpe/Makefile	Fri Jun 18 16:45:36 1999
@@ -1,31 +1,25 @@
 # New ports collection makefile for:	lpe
-# Version required:	1.1.8
+# Version required:	1.2.1
 # Date created:		12 April 1999
 # Whom:			Chris Piazza <cpiazza@home.net>
 #
 # $Id: Makefile,v 1.3 1999/04/22 23:11:08 mharo Exp $
 #
 
-DISTNAME=     	lpe-1.1.9
+DISTNAME=     	lpe-1.2.1
 CATEGORIES=	editors
 MASTER_SITES=	http://cdsmith.twu.net/lpe/
 
 MAINTAINER=	cpiazza@home.net
 
-LIB_DEPENDS=	slang.1:${PORTSDIR}/devel/libslang
+LIB_DEPENDS=	slang.1:${PORTSDIR}/devel/libslang \
+		intl.1:${PORTSDIR}/devel/gettext
 
 USE_GMAKE=	yes
+USE_LIBTOOL=	yes
+CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" CPPFLAGS="-I${LOCALBASE}/include" \
+		LIBS="-ltermcap"
 
 MAN1=	lpe.1
-
-post-patch:
-	@${SED} -e s#__PREFIX__#${PREFIX}#g ${WRKSRC}/options.h > ${WRKSRC}/options.h.new
-	@${MV} -f ${WRKSRC}/options.h.new ${WRKSRC}/options.h
-
-do-install:
-	${MKDIR} ${PREFIX}/lib/lpe
-	${INSTALL_PROGRAM} ${WRKSRC}/lpe ${PREFIX}/bin
-	${INSTALL_DATA} ${WRKSRC}/*.so ${PREFIX}/lib/lpe
-	${INSTALL_MAN} ${WRKSRC}/lpe.1 ${PREFIX}/man/man1
 
 .include <bsd.port.mk>
diff -ruN -x CVS lpe.orig/files/md5 lpe/files/md5
--- lpe.orig/files/md5	Fri Jun 18 16:38:30 1999
+++ lpe/files/md5	Thu Jun 17 22:29:42 1999
@@ -1 +1 @@
-MD5 (lpe-1.1.9.tar.gz) = 1414c340a77d53ff63f8ddb9e335787a
+MD5 (lpe-1.2.1.tar.gz) = 31da8e328ecf0ba875598df97ef195c4
diff -ruN -x CVS lpe.orig/patches/patch-aa lpe/patches/patch-aa
--- lpe.orig/patches/patch-aa	Fri Jun 18 16:38:30 1999
+++ lpe/patches/patch-aa	Wed Dec 31 16:00:00 1969
@@ -1,47 +0,0 @@
---- Config.make.orig	Tue Apr 20 22:20:08 1999
-+++ Config.make	Tue Apr 20 22:22:09 1999
-@@ -5,7 +5,7 @@
- 
- # Base directory in which to install lpe.  The binary and man page will be
- # installed in the appropriate subdirectories.
--PREFIX          = /usr/local
-+#PREFIX          = /usr/local
- 
- # Directory in which to place source language modules that are built as a
- # part of the install.  For the modules to work, this path must also be listed
-@@ -13,14 +13,14 @@
- MODULE_DIR      = $(PREFIX)/lib/lpe
- 
- # The shell to use when interpreting Bourne-compatible shell scripts
--SHELL           = /bin/sh
-+#SHELL           = /bin/sh
- 
- # The C compiler to use; use GCC by default
--CC              = gcc
-+CC              ?= gcc
- # OSF:            cc
- 
- # The link command line for building shared libraries
--LD_SH           = gcc -shared
-+LD_SH           = ${CC} -shared
- # OpenBSD:        ld -Bshareable
- # OSF:            ld -shared
- 
-@@ -31,7 +31,7 @@
- # OpenBSD:        -I/usr/local/include -DSLANG_H="<slang.h>" -DLIMITS_H="<sys/syslimits.h>"
- 
- # The flags to pass to the compiler proper
--CFLAGS          = -pipe -Wall -g -O2
-+CFLAGS          ?= -pipe -Wall -g -O2
- # OSF:              -pipe -g3 -O2
- 
- # The flags to pass to the linker
-@@ -40,7 +40,7 @@
- # Cygwin:         -L/usr/local/lib
- 
- # The libraries, in linker option format, against which to link
--LOADLIBES       = -lslang -ldl
-+LOADLIBES       = -lslang -ltermcap 
- # OSF:            -lslang -lc
- # Cygwin:         -lslang -ltermcap
- # FreeBSD:        -lslang -ldl -ltermcap
diff -ruN -x CVS lpe.orig/patches/patch-ab lpe/patches/patch-ab
--- lpe.orig/patches/patch-ab	Fri Jun 18 16:38:30 1999
+++ lpe/patches/patch-ab	Wed Dec 31 16:00:00 1969
@@ -1,10 +0,0 @@
---- options.h.orig	Sun Apr 18 16:08:40 1999
-+++ options.h	Sun Apr 18 16:09:18 1999
-@@ -107,6 +107,6 @@
-  * standard modules in /usr, and finally, if none of the others are found, in
-  * the old location; /etc/lpe.
-  */
--#define DEF_MODULE_PATH "~/.lpe:/usr/local/lib/lpe:/usr/lib/lpe:/etc/lpe"
-+#define DEF_MODULE_PATH "~/.lpe:__PREFIX__/lib/lpe:/usr/local/lib/lpe"
- 
- #endif /* LPE_OPTIONS_H */
diff -ruN -x CVS lpe.orig/patches/patch-ac lpe/patches/patch-ac
--- lpe.orig/patches/patch-ac	Wed Dec 31 16:00:00 1969
+++ lpe/patches/patch-ac	Thu Jun 17 22:46:33 1999
@@ -0,0 +1,10 @@
+--- minibuf.c.orig	Sat Apr 24 15:33:25 1999
++++ minibuf.c	Thu Jun 17 22:46:21 1999
+@@ -15,6 +15,7 @@
+ #include <dirent.h>
+ #include <unistd.h>
+ #include <sys/stat.h>
++#include <sys/syslimits.h>
+ 
+ #include "lpe.h"
+ #include "input.h"
diff -ruN -x CVS lpe.orig/patches/patch-ad lpe/patches/patch-ad
--- lpe.orig/patches/patch-ad	Wed Dec 31 16:00:00 1969
+++ lpe/patches/patch-ad	Fri Jun 18 16:20:31 1999
@@ -0,0 +1,11 @@
+--- po/Makefile.in.in.orig	Mon Jan 25 10:53:12 1999
++++ po/Makefile.in.in	Fri Jun 18 16:19:55 1999
+@@ -18,7 +18,7 @@
+ 
+ prefix = @prefix@
+ exec_prefix = @exec_prefix@
+-datadir = $(prefix)/@DATADIRNAME@
++datadir = $(prefix)/share
+ localedir = $(datadir)/locale
+ gnulocaledir = $(prefix)/share/locale
+ gettextsrcdir = $(prefix)/share/gettext/po
diff -ruN -x CVS lpe.orig/pkg/COMMENT lpe/pkg/COMMENT
--- lpe.orig/pkg/COMMENT	Fri Jun 18 16:38:30 1999
+++ lpe/pkg/COMMENT	Fri Jun 18 16:49:38 1999
@@ -1 +1 @@
-A "lightweight programmer's editor."
+A "lightweight programmer's editor" with syntax highlighting.
diff -ruN -x CVS lpe.orig/pkg/DESCR lpe/pkg/DESCR
--- lpe.orig/pkg/DESCR	Fri Jun 18 16:38:30 1999
+++ lpe/pkg/DESCR	Fri Jun 18 16:49:22 1999
@@ -1,5 +1,5 @@
 A very small and fast slang-based editor that features syntax-highlighting
-via plug-in modules for C, C++, perl, html, and sgml.
+via plug-in modules for C, C++, perl, html, sgml and more.
 
 Author: Chris Smith <cd_smith@ou.edu>
 
diff -ruN -x CVS lpe.orig/pkg/PLIST lpe/pkg/PLIST
--- lpe.orig/pkg/PLIST	Fri Jun 18 16:38:30 1999
+++ lpe/pkg/PLIST	Fri Jun 18 16:27:07 1999
@@ -1,9 +1,30 @@
 bin/lpe
-lib/lpe/cmode.so
-lib/lpe/cppmode.so
-lib/lpe/htmlmode.so
-lib/lpe/javamode.so
-lib/lpe/mailmode.so
-lib/lpe/perlmode.so
-lib/lpe/sgmlmode.so
+lib/lpe/libcmode.a
+lib/lpe/libcmode.so
+lib/lpe/libcmode.so.0
+lib/lpe/libcppmode.a
+lib/lpe/libcppmode.so
+lib/lpe/libcppmode.so.0
+lib/lpe/libhtmlmode.a
+lib/lpe/libhtmlmode.so
+lib/lpe/libhtmlmode.so.0
+lib/lpe/libjavamode.a
+lib/lpe/libjavamode.so
+lib/lpe/libjavamode.so.0
+lib/lpe/libmailmode.a
+lib/lpe/libmailmode.so
+lib/lpe/libmailmode.so.0
+lib/lpe/libperlmode.a
+lib/lpe/libperlmode.so
+lib/lpe/libperlmode.so.0
+lib/lpe/libsgmlmode.a
+lib/lpe/libsgmlmode.so
+lib/lpe/libsgmlmode.so.0
+share/locale/bg/LC_MESSAGES/lpe.mo
+share/locale/cz/LC_MESSAGES/lpe.mo
+share/locale/de/LC_MESSAGES/lpe.mo
+share/locale/es/LC_MESSAGES/lpe.mo
+share/locale/fr/LC_MESSAGES/lpe.mo
+share/locale/pl/LC_MESSAGES/lpe.mo
+share/locale/ru/LC_MESSAGES/lpe.mo
 @dirrm lib/lpe
Comment 1 cpiazza freebsd_committer 1999-06-19 06:35:52 UTC
State Changed
From-To: open->closed

Committed, thanks. 

Comment 2 dfilter service freebsd_committer 2008-04-19 12:27:29 UTC
barner      2008-04-19 11:27:20 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost          Makefile 
  Log:
  - Enable build on powerpc by correctly setting up bjam path
  
  PR:             ports/12287
  Submitted by:   Peter Grehan
  
  Revision  Changes    Path
  1.40      +2 -0      ports/devel/boost/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"